<div class="container">
    <form class="mat-dialog-content" id="idFormModalidad" [formGroup]="formsActualiza">
        <div class="row">
            <mat-toolbar color="primary">
            <span>Actualiza Sala</span>
            </mat-toolbar>
        </div>
        <div  class="row"  style="margin-top: 3%">
            <mat-form-field class="col-md-4">
                <mat-label>Número del Aula</mat-label>
                <input matInput [(ngModel)]="sala.numero" name="numero" formControlName="validaAula" maxlength="30">
                <mat-hint style="color: red" *ngIf="formsActualiza.controls.validaAula.touched">
                    <span *ngIf="formsActualiza.controls.validaAula.hasError('required')">
                    El número del Aula es requerido
                    </span>
                    <span *ngIf="formsActualiza.controls.validaAula.hasError('pattern')">
                    1 letra en MAYUSCULA seguido de 3 números
                    </span>
                </mat-hint>
            </mat-form-field>
            <mat-form-field class="col-md-4">
                <mat-label>Piso</mat-label>
                <input matInput [(ngModel)]="sala.piso" name="piso" formControlName="validaPiso" maxlength="30">
                <mat-hint style="color: red" *ngIf="formsActualiza.controls.validaPiso.touched">
                    <span *ngIf="formsActualiza.controls.validaPiso.hasError('required')">
                    El número del Piso es requerido
                    </span>
                    <span *ngIf="formsActualiza.controls.validaPiso.hasError('pattern')">
                    Solo se permite el 1er piso hasta el 3er piso
                    </span>
                </mat-hint>
            </mat-form-field>
            <mat-form-field class="col-md-4">
                <mat-label>Cantidad de alumnos</mat-label>
                <input matInput [(ngModel)]="sala.numAlumnos" name="numAlumnos" formControlName="validaCantidadAlumno" maxlength="30">
                 <mat-hint style="color: red" *ngIf="formsActualiza.controls.validaCantidadAlumno.touched">
                    <span *ngIf="formsActualiza.controls.validaCantidadAlumno.hasError('required')">
                    La cantida de alumnos es requerido
                    </span>
                    <span *ngIf="formsActualiza.controls.validaCantidadAlumno.hasError('pattern')">
                    Para ingresar una sala min de 10 alumnos max 50
                    </span>
                </mat-hint>
            </mat-form-field>
            <mat-form-field class="col-md-4">
                <mat-label>Recursos</mat-label>
                <input matInput [(ngModel)]="sala.recursos" name="recursos" formControlName="validaRecurso" maxlength="30">
                <mat-hint style="color: red" *ngIf="formsActualiza.controls.validaRecurso.touched">
                    <span *ngIf="formsActualiza.controls.validaRecurso.hasError('required')">
                    Es requerido los recursos
                    </span>
                    <span *ngIf="formsActualiza.controls.validaRecurso.hasError('pattern')">
                    Un min de 5 caract. max de 50 
                    </span>
                </mat-hint>
            </mat-form-field>
            <mat-form-field class="col-md-4">
                <mat-label>Tipo Sala</mat-label>
                <mat-select [(ngModel)]="sala.tipoSala!.idDataCatalogo" formControlName="validaTipoSala">
                    <mat-option value="-1"> [Seleccione] </mat-option>
                    <mat-option  *ngFor="let x of TipoSala" [value]="x.idDataCatalogo">
                        {{x.descripcion}}
                    </mat-option>   
                </mat-select> 
                <mat-hint style="color: red" *ngIf="formsActualiza.controls.validaTipoSala.touched">
                    <span *ngIf="formsActualiza.controls.validaTipoSala.hasError('min')">
                        El tipo de sala es requerida
                    </span>
                </mat-hint>               
            </mat-form-field>
            <mat-form-field class="col-md-4">
                <mat-label>Sede</mat-label>
                <mat-select [(ngModel)]="sala.sede!.idDataCatalogo" formControlName="validaSede">
                    <mat-option value="-1"> [Seleccione] </mat-option>
                    <mat-option  *ngFor="let x of Sede" [value]="x.idDataCatalogo">
                        {{x.descripcion}}
                    </mat-option>   
                </mat-select> 
                <mat-hint style="color: red" *ngIf="formsActualiza.controls.validaSede.touched">
                    <span *ngIf="formsActualiza.controls.validaSede.hasError('min')">
                        La sede es requerida
                    </span>
                </mat-hint>               
            </mat-form-field>
        </div>
        <div  mat-dialog-actions>
            <button mat-raised-button 
                    type="submit" 
                    (click)="actualiza()"
                    color="primary"
                    [disabled]="formsActualiza.invalid"
                    [mat-dialog-close]="1">
                    Actualiza
            </button>
            <button mat-button 
                    color="primary"
                    [mat-dialog-close]="null">
                    Salir
            </button>
        </div>
    </form>
</div>